shared_examples_for "a taggable" do
  it { is_expected.to respond_to(:tags) }
  it { is_expected.to respond_to(:internal_tags) }

  describe "#taggable_status" do
    it { is_expected.to define_enum_for(:tagging_status).with_values([:pending, :started, :finished, :failed]).with_prefix(:tagging) }
  end
end
